Subject: [Netconf] notification replay question

From: Andy Bierman <[email-masked]>
Date: Tue, 16 Jun 2009 11:29:07 -0700

Hi,

It is not clear whether or not <replayComplete> and
<notificationComplete> eventTypes are saved in the
global replay buffer, and replayed to subsequent
replay subscriptions.  RFC 5277, sec.3 doesn't say
one way or the other, but it does imply that only
one is expected on the subscription ('the'
replayComplete text + flow diagram shows 1 also).

Obviously, if either of these notifications is
replayed, the manager may get confused and think
the notification was for its subscription,
not for another session.  The eventTime could
be checked, but this is too complicated.

So, are these notifications saved or not?
IMO, they are not the same as system events
like 'startup' or 'config change', and MUST NOT be saved.
Otherwise, the text should be updated, and a 'sessionId'
field added to the <replayComplate> and <notificationComplete>
eventTypes.

Andy

---

From: Martin Bjorklund <[email-masked]>
Date: Tue, 16 Jun 2009 22:21:01 +0200 (CEST)

Hi,

> So, are these notifications saved or not?

IMO they are not saved.  They represent meta information which happen
to be sent in-band.

> like 'startup' or 'config change', and MUST NOT be saved.

I agree.

/martin

---

From: WashamFan <[email-masked]>
Date: Wed, 17 Jun 2009 11:10:48 +0800

Hi,

----- Original Message -----
From: Martin Bjorklund <[email-masked]>
Date: Wednesday, June 17, 2009 4:30 am
Subject: Re: [Netconf] notification replay question
To: [email-masked]
Cc: [email-masked]

>  IMO they are not saved.  They represent meta information which happen

And this information is session-specific, IMO. It might make
little sense to another session.

washam

>  _______________________________________________
>  Netconf mailing list
>  [email-masked]
>  https://www.ietf.org/mailman/listinfo/netconf
>